Bug 181404

Summary: [PATCH] unbreak devel/gnustep
Product: Ports & Packages Reporter: John Marino <freebsd>
Component: Individual Port(s)Assignee: John Marino <marino>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description John Marino 2013-08-19 17:10:00 UTC
devel/gnustep is marked broken because of conflicting plists.  The reason why the plists conflict is that the backends are slave ports and create packages with nearly identical plists.

However, devel/gnustep will build if you invoke the single backend option (patch attached).

To make it install all the backends will require a rework of the masked backends to only contain unique files.  Therefore this fix is "quick 'n dirty" but it's better than broken.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-19 17:10:07 UTC
Maintainer of devel/gnustep,

Please note that PR ports/181404 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181404

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-19 17:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Petrik 2013-08-19 20:37:58 UTC
I no longer maintain these ports, as it looks like cs@ is lazy and doesn't
want to create a patch to remove me from gnustep* ports. saying that I now
have zero *** about gnustep.
Comment 4 dfilter service freebsd_committer 2013-08-20 02:08:31 UTC
Author: linimon
Date: Tue Aug 20 01:08:17 2013
New Revision: 325025
URL: http://svnweb.freebsd.org/changeset/ports/325025

Log:
  Maintainer has relinquished these ports.
  
  PR:		ports/181404
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer)

Modified:
  head/devel/gnustep-make/Makefile
  head/devel/gnustep/Makefile
  head/lang/gnustep-base/Makefile
  head/lang/gnustep-guile/Makefile
  head/x11-toolkits/gnustep-back/Makefile
  head/x11-toolkits/gnustep-gui/Makefile

Modified: head/devel/gnustep-make/Makefile
==============================================================================
--- head/devel/gnustep-make/Makefile	Mon Aug 19 22:09:19 2013	(r325024)
+++ head/devel/gnustep-make/Makefile	Tue Aug 20 01:08:17 2013	(r325025)
@@ -7,7 +7,7 @@ CATEGORIES=	devel gnustep
 MASTER_SITES=	${MASTER_SITE_GNUSTEP}
 MASTER_SITE_SUBDIR=	core
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GNUstep makefile package
 
 LICENSE=        GPLv3

Modified: head/devel/gnustep/Makefile
==============================================================================
--- head/devel/gnustep/Makefile	Mon Aug 19 22:09:19 2013	(r325024)
+++ head/devel/gnustep/Makefile	Tue Aug 20 01:08:17 2013	(r325025)
@@ -8,7 +8,7 @@ MASTER_SITES=	# empty
 DISTFILES=	# empty
 EXTRACT_ONLY=	# empty
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Objective-C libraries based on the OpenStep standard
 
 BROKEN=		gnustep backend dependencies install files into the same place

Modified: head/lang/gnustep-base/Makefile
==============================================================================
--- head/lang/gnustep-base/Makefile	Mon Aug 19 22:09:19 2013	(r325024)
+++ head/lang/gnustep-base/Makefile	Tue Aug 20 01:08:17 2013	(r325025)
@@ -8,7 +8,7 @@ CATEGORIES=	lang devel gnustep
 MASTER_SITES=	${MASTER_SITE_GNUSTEP}
 MASTER_SITE_SUBDIR=	core
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GNUstep Foundation library
 
 LIB_DEPENDS+=	ffi:${PORTSDIR}/devel/libffi

Modified: head/lang/gnustep-guile/Makefile
==============================================================================
--- head/lang/gnustep-guile/Makefile	Mon Aug 19 22:09:19 2013	(r325024)
+++ head/lang/gnustep-guile/Makefile	Tue Aug 20 01:08:17 2013	(r325025)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	gnustep-
 PKGNAMESUFFIX?=	${NOX11_SUFFIX}${PKGNAMESUFFIX2}
 DISTNAME=	${PKGNAMEPREFIX}${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GNUstep interface to the GUILE scheme interpreter
 
 LIB_DEPENDS+=	guile.21:${PORTSDIR}/lang/guile

Modified: head/x11-toolkits/gnustep-back/Makefile
==============================================================================
--- head/x11-toolkits/gnustep-back/Makefile	Mon Aug 19 22:09:19 2013	(r325024)
+++ head/x11-toolkits/gnustep-back/Makefile	Tue Aug 20 01:08:17 2013	(r325025)
@@ -7,7 +7,7 @@ MASTER_SITES=	${MASTER_SITE_GNUSTEP}
 MASTER_SITE_SUBDIR=	core
 PKGNAMESUFFIX?=	${BACK_SUFFIX}${PKGNAMESUFFIX2}
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GNUstep GUI backend
 
 LIB_DEPENDS+=	jpeg.11:${PORTSDIR}/graphics/jpeg

Modified: head/x11-toolkits/gnustep-gui/Makefile
==============================================================================
--- head/x11-toolkits/gnustep-gui/Makefile	Mon Aug 19 22:09:19 2013	(r325024)
+++ head/x11-toolkits/gnustep-gui/Makefile	Tue Aug 20 01:08:17 2013	(r325025)
@@ -7,7 +7,7 @@ CATEGORIES=	x11-toolkits gnustep
 MASTER_SITES=	${MASTER_SITE_GNUSTEP}
 MASTER_SITE_SUBDIR=	core
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GNUstep GUI library
 
 .if !defined(NOPORTDOCS)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-08-20 02:23:31 UTC
State Changed
From-To: feedback->open

Maintainer was reset.
Comment 6 John Marino freebsd_committer 2013-08-20 09:22:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 7 dfilter service freebsd_committer 2013-08-23 00:34:43 UTC
Author: marino
Date: Thu Aug 22 23:34:31 2013
New Revision: 325244
URL: http://svnweb.freebsd.org/changeset/ports/325244

Log:
  Unbreak devel/gnustep
  
  The problem with GNUStep is that most of the backends are slave ports with
  nearly identical pkg-plists.  To properly fix, the slave port pkg-plists
  need to be mutually exclusive.  This will take a bit of work.
  
  In the meantime, the port can be unbroken by specifying a signal backend.
  It makes the port lose effectiveness as a meta package, but at least it will
  build now.  That's better than being broken.
  
  PR:		181404
  Approved by:	bapt/culot (mentors, implicit)

Modified:
  head/devel/gnustep/Makefile

Modified: head/devel/gnustep/Makefile
==============================================================================
--- head/devel/gnustep/Makefile	Thu Aug 22 23:25:49 2013	(r325243)
+++ head/devel/gnustep/Makefile	Thu Aug 22 23:34:31 2013	(r325244)
@@ -3,6 +3,7 @@
 
 PORTNAME=	gnustep
 PORTVERSION=	1.24.0
+PORTREVISION=	1
 CATEGORIES=	devel lang gnustep
 MASTER_SITES=	# empty
 DISTFILES=	# empty
@@ -11,7 +12,8 @@ EXTRACT_ONLY=	# empty
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Objective-C libraries based on the OpenStep standard
 
-BROKEN=		gnustep backend dependencies install files into the same place
+# Backends are slave ports with conflicting plists
+WITH_GNUSTEP_SINGLE_BACKEND=yes
 
 NO_BUILD=	yes
 NO_INSTALL=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 John Marino freebsd_committer 2013-08-23 00:46:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!